var current_id//定义一个记录当前执行操作下单的产品的id
function but(id,name,price,count)
{
	if(eval("parent.dindanFrame.document.all.count_"+id))//如果已经有了
	{
		var main_count_obj=eval("document.all.td_"+id+".all[0]")
		if(current_id==id)//当前ID就是 正要操作的 对象
		{
			(isNaN(count))?(main_count_obj.value=''):(main_count_obj.value=main_count_obj.value+count)//count不是数字就清空，有一种情况，count=C  是数字以字串形式连起来
		}
		else
		{
			(isNaN(count))?(main_count_obj.value=''):(main_count_obj.value=count);//不是数字就清空，否则直接赋值
		}
		current_id=id//装数量的文本框赋值后，就改变当前装ID的变量的值
		if (main_count_obj.value-0<0) main_count_obj.value=0;//数量不能为负数
		var dindan_count_obj=eval("parent.dindanFrame.document.all.count_"+id)
		dindan_count_obj.value=main_count_obj.value//右边框架的等于左边框架的
		
		var price_xiaoji_obj=eval("parent.dindanFrame.document.all.price_xiaoji_"+id)
		price_xiaoji_obj.innerHTML=dindan_count_obj.value*price//小计
		
		parent.dindanFrame.amount()//计算总和
	}
	else
	{
		if(isNaN(count))return;//如果不是数字，如：count=C
		parent.dindanFrame.addRow(id,name,price,count)//添加一行
		parent.dindanFrame.amount()//计算总和
		current_id=id//添加一行也要改变当前ID
	}
}

function c(obj)//从数量框获得id,nam,price
{
	var oTR=obj.parentElement.parentElement;
	var id=oTR.cells[3].id.replace("td_","");
	var name=oTR.cells[1].innerText;
	var price=oTR.cells[2].innerText;
	onlyNum(id,name,price,obj);//检查是否是数字并计算右边数量
}

function get_but()
{
	var obj=(window.event.srcElement);
	if (obj && obj.id=='b')//是那个数字按钮
	{
		var oTD=obj.parentElement;
		var oTR=oTD.parentElement;
		var id=oTD.id.replace("td_","");
		var name=oTR.cells[1].innerText;
		var price=oTR.cells[2].innerText;
		var count=obj.value;
		but(id,name,price,count);//添加数量
	}
}

function onlyNum(id,name,price,obj)
{
	if (obj.value=="")//如果为空,就把右边删除一行
	{
		if(eval("parent.dindanFrame.document.all.del_"+id))//如果删除按钮已经有了
		{
			parent.dindanFrame.delRow(eval("parent.dindanFrame.document.all.del_"+id))
		}
	}
	else
	{
		var contents = obj.value ;
		if (((contents/contents)!=1)&&(contents!=0)||(contents<0)||(contents>999999)||(contents.indexOf('.')>-1))//包含小数点
		{
			alert('请输入0-999999整数！'); 
			obj.select();
			return false;
		}
		else
		{
			
			if(eval("parent.dindanFrame.document.all.count_"+id))//如果已经有了
			{
				var count_obj=eval("parent.dindanFrame.document.all.count_"+id)
				count_obj.value=obj.value
				
				var price_xiaoji_obj=eval("parent.dindanFrame.document.all.price_xiaoji_"+id)
				price_xiaoji_obj.innerHTML=count_obj.value*price//小计
				parent.dindanFrame.amount()//计算总和
			}
			else
			{
				parent.dindanFrame.addRow(id,name,price,obj.value-0)//如果是数字就添加一行
				parent.dindanFrame.amount()//计算总和
			}
		}
	}
}

function loaded()
{
	var cs=document.getElementsByTagName("INPUT");
	var len=cs.length;
	var obj,oTD,id;
	for(var i=0;i<len;i++)
	{
		if(cs[i].id=='c')//是数量框
		{
			oTD=cs[i].parentElement;
			id=oTD.id.replace("td_","");
			if(eval("parent.dindanFrame.document.all.count_"+id))//如果已经有了
			{
				cs[i].value=eval("parent.dindanFrame.document.all.count_"+id+".value");
			}
		}
	}
}

function onSelect()
{
	if(window.event.srcElement.tagName!='INPUT' || window.event.srcElement.tagName!='TEXTAREA')	return false;
}

function reDiv()
{
	document.all.divScroll.style.height=document.body.offsetHeight-45;
	
}
function set_count(selObj)
{ 
 set_count_iframe.location="set_count_iframe.asp?count_of_page="+selObj.options[selObj.selectedIndex].value
}
function look_open(url,n,s)
{
	window.open(url,n,s)	
}

